CN REST - Bug #7231

listViews() isn't hooked up
2015-06-24 20:59 - Andrei Buium

Status: Closed Start date:
Priority: Normal Due date:
Assignee: Andrei Buium % Done:
Category: cn_metacat Estimated time:
Target version: CCl-2.0.0

Story Points:

2015-06-24

100%
1.00 hour

Description

Calling CN.listViews() doesn't seem to hit the correct endpoint:
https://cn-dev-ucsb-1.test.dataone.org/cn/v2/views
yields:

NotFound exception:
No system metadata could be found for given PID: cn/v2/views

Associated revisions

Revision 15823 - 2015-06-24 21:17 - Andrei Buium

Trying to fix a bug with listViews() not working correctly
refs #7231

Revision 15823 - 2015-06-24 21:17 - Andrei Buium

Trying to fix a bug with listViews() not working correctly
refs #7231

History

#1 - 2015-06-24 21:38 - Andrei Buium
- % Done changed from 0 to 30

- Status changed from New to In Progress

#2 - 2015-07-01 15:15 - Andrei Buium
- % Done changed from 30 to 50

- Status changed from In Progress to Testing

Fix committed. Needs patching and testing.

#3 - 2015-07-01 16:21 - Dave Vieglais
- Target version changed from CCI-2.0-TRUNK to CCI-2.0.0

#4 - 2015-07-01 17:31 - Dave Vieglais
- Project changed from Infrastructure to CN REST

- Category changed from Metacat to cn_metacat

Looks like the trailing slash is needed. Should correct this or ensure documentation indicates that the trailing slash is required.
https://cn-dev-ucsb-1.test.dataone.org/cn/v2/views

#5 - 2015-07-01 22:28 - Matthew Jones

| would vote for correcting it, as its a common problem and causes undue issues for API users. I've seen similar issues with the /query endpoint, and
it would be good to allow both URIs across all of our services.

#6 - 2015-07-02 22:09 - Andrei Buium
- % Done changed from 50 to 100

- Status changed from Testing to Closed

Tested and verified that listViews() works on both /views and /views/ endpoints now.
